/* Blok 1 */
#blok-1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

#blok-1-title {
    text-align: center;
}

#blok-1-description {
    color: rgb(241, 241, 241);
    text-align: center;
}

#blok-1-description a {
    color: rgb(102, 156, 218);
    text-decoration: none;
}

/* Search bar */
#searchcontainer {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
}

#searchform {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    width: 30%;
    transition: width 0.5s;
}

#searchforminput {
    padding: 10px;
    width: 100%;
    border-radius: 10px;
    transition: width 0.5s;
    border: 0px;
}

#searchformbutton {
    color: white;
    margin-left: 1%;
    width: 15%;
    border-radius: 10px;
    background-color: rgb(102, 156, 218);
    transition: transform 0.2s;
    transition: width 0.5s;
    border: 0px;
}

#searchformbutton:hover {
    transform: scale(105%);
    cursor: pointer;
}

@media only screen and (max-width: 976px) {
    #searchform {
        width: 40%;
    }

    #searchforminput {
        width: 80%;
    }

    #searchformbutton {
        width: 20%;
    }
}

@media only screen and (max-width: 422px) {
    #searchform {
        width: 45%;
    }

    #searchforminput {
        width: 70%;
    }

    #searchformbutton {
        width: 25%;
    }
}

#advanced-text {
    color: rgb(236, 236, 236);
    text-align: center;
}

#advanced-text a {
    color: rgb(102, 156, 218);
    text-decoration: none;
}

#advanced-text a:hover {
    cursor: pointer;
}

/* Results */
#result {
    display: none; /* flex */
    flex-direction: column;
    align-items: center;
    color: rgb(190, 190, 190);
    width: 65%;
    margin-top: 50px;
    margin-bottom: 20px;
    transition: width 1s;
    background-color: rgb(106, 151, 209);
    padding: 10px;
    padding-top: 90px;
    padding-bottom: 90px;
    border-radius: 10px;
    transition: padding 0.5s;
}

@media only screen and (max-width: 1674px) {
    #result {
        padding-top: 75px;
        padding-bottom: 75px;
    }
}

@media only screen and (max-width: 880px) {
    #result {
        width: 80%;
        padding-top: 60px;
        padding-bottom: 60px;
    }
}

@media only screen and (max-width: 624px) {
    #result {
        width: 80%;
        padding-top: 40px;
        padding-bottom: 40px;
    }
}

@media only screen and (max-width: 450px) {
    #result {
        width: 90%;
    }
}

#mainresult {
    display: flex;
    flex-direction: column;
    margin: 15px;
    background-color: rgb(47, 52, 58);
    border-radius: 5px;
    padding: 15px;
    border: 2px rgb(101, 145, 185) solid;
    width: 80%;
    box-shadow: 0 0 60px 30px rgba(0, 0, 0, 0.2);
}

#showcollectables {
    display: flex;
    flex-direction: column;
    margin: 15px;
    background-color: rgb(47, 52, 58);
    border-radius: 5px;
    padding: 15px;
    border: 2px rgb(101, 145, 185) solid;
    text-align: center;
    width: 80%;
    box-shadow: 0 0 60px 30px rgba(0, 0, 0, 0.2);
}

#showcollectables-aboveline {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: relative; 
}

#sort-icon {
    position: absolute;
    right: 10px;
    padding: 10px;
    transition: transform 0.2s;
}

#sort-icon:hover {
    cursor: pointer;
    transform: scale(130%);
}

#showcollectables-line {
    width: 100%;
}

#showcollectables-body {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

#showcollectables-navigate {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
}

#showcollectables-navigate div {
    margin: 5px;
    transition: transform 0.2s;
    padding: 2px;
}

#showcollectables-navigate-left:hover, #showcollectables-navigate-right:hover {
    transform: scale(130%);
    cursor: pointer;
}

#shownames {
    display: flex;
    flex-direction: column;
    margin: 15px;
    background-color: rgb(47, 52, 58);
    border-radius: 5px;
    padding: 15px;
    text-align: center;
    border: 2px rgb(101, 145, 185) solid;
    width: 80%;
    box-shadow: 0 0 60px 30px rgba(0, 0, 0, 0.2);
}

#shownames-line {
    width: 100%;
}

/* Deel 1 */
#deel_1 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

#text {
    display: flex;
    flex-direction: column;
    width: 70%;
}

#deel_1 p {
    margin: 5px 0;
}

#logo {
    height: auto;
    width: 20%;
}

/* Deel 2 */
#deel_2 {
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

#deel_2 p {
    margin: 5px 0;
}

/* Deel 3 */
#deel_3 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 10px;
    border-radius: 5px;
}

#deel_3-links {
    width: 45%;
}

#deel_3-rechts {
    width: 45%;
    text-align: right;
}

#profilelink {
    color: rgb(91, 131, 177);
    transition: color 0.2s;
}

#profilelink:hover {
    color: rgb(105, 149, 199);
    cursor: pointer;
}

#deel_3 p {
    margin: 5px 0;
}

/* Deel 4 */
#deel_4 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 10px;
    border-radius: 5px;
}

#deel_4-links {
    width: 45%;
}

#deel_4-rechts {
    width: 45%;
    text-align: right;
}

#deel_4 p {
    margin: 5px 0;
}

/* Blok 2 */
#blok-2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
    width: 80%;
    background-color: rgb(92, 132, 192);
    padding: 60px;
    border-radius: 20px;
    transition: padding 0.3s;
}

@media only screen and (max-width: 598px) {
    #blok-2 {
        padding: 30px;
    }
}

@media only screen and (max-width: 320px) {
    #blok-2 {
        padding: 15px;
    }
}

#blok-2-title {
    text-align: center;
}

#plans {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
    height: auto;
    flex-wrap: wrap;
    width: 80%;
    transition: width 0.4s;
}

.plan-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 30%;
    margin: 20px;
}

/* Delay for anims */
@media only screen and (min-width: 1503px) {
    .plan-container:nth-child(1) {
        transition-delay: 200ms;
    }
    
    .plan-container:nth-child(2) {
        transition-delay: 400ms;
    }
    
    .plan-container:nth-child(3) {
        transition-delay: 600ms;
    }
}

#free, #premium, #ultra {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgb(47, 52, 58);
    border-radius: 10px;
    padding: 10px;
    height: 350px;
    width: 100%;
    text-align: center;
    box-shadow: 0 0 60px 30px rgba(0, 0, 0, 0.2);
    transition: transform .2s;
}

.length {
    border-radius: 5px;
    background-color: white;
    padding: 6px;
    color: black;
    font-size: 12px;
}

.price {
    font-weight: normal;
    line-height: 0px;
}

.features-list {
    text-align: center;
    font-size: 16px;
    color: rgb(255, 255, 255);
}

.features-list p {
    line-height: 17px;
}

.checkmark, .xmark {
    height: auto;
    width: 13px;
}

@media only screen and (max-width: 1876px) {
    #plans {
        width: 90%;
    }
}

@media only screen and (max-width: 1684px) {
    #plans {
        width: 100%;
    }
}

@media only screen and (max-width: 1176px) {
    .plan-container {
        width: 80%;
    }

    #free, #premium, #ultra {
        height: auto;
    }
}

#free:hover, #premium:hover, #ultra:hover {
    transform: scale(105%);
}

#ultra {
    border: 2px solid rgb(122, 173, 233);
}

.purchase-button {
    color: rgb(255, 255, 255);
    font-weight: 400;
    border-radius: 15px;
    padding: 10px;
    border: 0px;
    font-size: 14px;
    background-color: rgb(122, 173, 233);
    margin-top: 5px;
    margin-bottom: 30px;
}

.purchase-button {
    cursor: pointer;
}

/* Blok 3 */
#blok-3 {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 150px;
    font-size: 20px;
}

#blok-3-main {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#blok-3-main div {
    margin: 10px;
}

#blok-3-left {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 700px;
    transition: width 0.3s;
}

#blok-3-left p {
    color: rgb(226, 226, 226);
}

@media only screen and (max-width: 744px) {
    #blok-3-left {
        width: 500px;
    }
}

@media only screen and (max-width: 600px) {
    #blok-3-left {
        width: 300px;
    }
}

#blok-3-right {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
}

#blok-3-right img {
    margin: 10px;
    height: auto;
    transition: width 0.6s;
}

@media only screen and (max-width: 650px) {
    #blok-3-right img {
        width: 500px;
    }
}

@media only screen and (max-width: 532px) {
    #blok-3-right img {
        width: 400px;
    }
}

@media only screen and (max-width: 420px) {
    #blok-3-right img {
        width: 300px;
    }
}

@media only screen and (max-width: 332px) {
    #blok-3-right img {
        width: 250px;
    }
}

.aboutImage {
    box-shadow: 0 0 30px 15px rgba(0, 0, 0, 0.2);
    transition: transform 0.2s;
}

.aboutImage:hover {
    transform: scale(103%);
}

/* Blok 4 */
#blok-4 {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 120px;
}

.blok-4-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 50px;
    width: 20%;
    transition: width 0.5s;
}

@media only screen and (max-width: 1400px) {
    .blok-4-content {
        width: 30%;
    }
}

@media only screen and (max-width: 900px) {
    .blok-4-content {
        width: 40%;
    }
}

@media only screen and (max-width: 588px) {
    .blok-4-content {
        width: 60%;
    }
}

@media only screen and (max-width: 414px) {
    .blok-4-content {
        width: 100%;
    }
}